Subject: Re: git web view doesn't show short log in chronological order ?

From: Andy Whitcroft <[email-masked]>
Date: Mon, 11 Sep 2006 10:19:04 +0100

Toralf Förster wrote:
> http://www.kernel.org/git/?p=linux%2Fkernel%2Fgit%2Ftorvalds%2Flinux-2.6.git;a=summary
> lists the entry from Kirill Korotaev at position 12 (all first 12 positions are
> 2 days old), but Kirill Korotaev did the latest commit (if I do a "$>git log" at
> my local clone of Linus' tree) and therefore should be listed at position 1,
> isn't it ?

The dates on commits can always be suspect as they are generally in the
originators local clock.  You also have to remember the date which is
shown is the authors original create time.  Not the time it was commited
to linus' tree.

/me pulls the dates for 11 & 12:

Author: Thomas Gleixner <[email-masked]>  2006-09-08 17:47:15
Committer: Linus Torvalds <[email-masked]>  2006-09-08 18:22:50

Author: Kirill Korotaev <[email-masked]>  2006-09-07 11:17:04
Committer: Linus Torvalds <[email-masked]>  2006-09-08 16:40:46

From what I can see both dates here are older in Kirill's change.  So by
any sort they are in the right order (where right is reverse chronological).

?

-apw